> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/affiliates/update_affiliates_own_information.md).

# Update affiliates’ own information

| HTTP method | Endpoint               |
| ----------- | ---------------------- |
| **PUT**     | **/aff/v1/affiliates** |

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field                     | Type    | Description                                       | Nullable |   |
| ------------------------- | ------- | ------------------------------------------------- | -------- | - |
| id                        | integer | A string that uniquely identifies this affiliate. |          |   |
| first\_name               | string  | The first\_name of the this affiliate.            |          |   |
| last\_name                | string  | The last\_name of the this affiliate.             |          |   |
| email                     | string  | The email of the this affiliate.                  |          |   |
| company                   | string  | The company of the this affiliate.                |          |   |
| country                   | string  | The country of the affiliate’s physical address.  |          |   |
| instant\_message\_account | string  | Instant message account.                          |          |   |
| instant\_message\_type    | integer | Types of instant message.                         |          |   |
| phone                     | string  | The phone number of the affiliate.                |          |   |
| website                   | string  |                                                   |          |   |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field                     | Type    | Description                                       |
| ------------------------- | ------- | ------------------------------------------------- |
| id                        | integer | A string that uniquely identifies this affiliate. |
| first\_name               | string  | The first\_name of the this affiliate.            |
| last\_name                | string  | The last\_name of the this affiliate.             |
| email                     | string  | The email of the this affiliate.                  |
| company                   | string  | The company of the this affiliate.                |
| country                   | string  | The country of the affiliate’s physical address.  |
| instant\_message\_account | string  | Instant message account.                          |
| instant\_message\_type    | integer | Types of instant message.                         |
| manager\_id               | integer | Affiliate’s manager id.                           |
| phone                     | string  | The phone number of the affiliate.                |
| website                   | string  |                                                   |
| create\_time              | integer | Create time.                                      |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request PUT** <https://{networkname}.api.offerslook.com/aff/v1/affiliates>

**Request PUT** <http://{networkname}.api.offerslook.com/aff/v1/affiliates>

```
    {
      "email": "test@test.com",
      "first_name": "test",
      "last_name": "test",
      "country": "Angola",
      "website": "http://www.offerslook.com",
      "company": "TEST",
      "phone": "",
      "instant_message_type": 0,
      "instant_message_account": "offerslook"
    }
```

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate": {
          "id": 4833,
          "email": "test@test.com",
          "first_name": "test",
          "last_name": "test",
          "country": "Angola",
          "website": "http://www.offerslook.com",
          "create_time": 1457353181,
          "company": "TEST",
          "phone": "",
          "manager_id": 1,
          "instant_message_type": 0,
          "instant_message_account": "offerslook"
        }
      }
    }
```
